package cz.muni.fi.lasaris.sbms.api.request;

import java.util.ArrayList;
import java.util.List;

import cz.muni.fi.lasaris.sbms.api.entities.Trend;

public class TrendsRequest extends GroupableRequest {
	
	private Trend trend;
	
	
	public Trend getTrend() {
		return trend;
	}


	public void setTrend(Trend trend) {
		this.trend = trend;
	}
	
	private List<String> ufl;
	
	public List<String> getDPFields() {
		if(this.responseFields == null) return null;
		if(ufl == null || ufl.size() != this.responseFields.size()) {
			ufl = new ArrayList<String>(this.responseFields.size()); 
			for(String f : this.getResponseFields()) {
				if(f.startsWith("datapoint.")) { ufl.add(f.substring(10)); } // removing datapoint.
			}
		}
		return ufl;
	}
	

	@Override
	public String getIdentityField() {
		return "bmsId";
	}

}
